# Top Level Namespace

## Defined Under Namespace

Modules: YARD Classes: Array, File, Hash, Insertion, Module, String, SymbolHash

## Constant Summary collapse

RUBY18 =
Deprecated.

Use YARD.ruby18? or YARD.ruby19? instead.

Keep track of Ruby version for compatibility code

      YARD.ruby18?

RUBY19 =

      YARD.ruby19?

## Global Convenience Methods collapse

- #log ⇒ YARD::Logger

  The global YARD::Logger instance.

- #P(namespace, name = nil, type = nil) ⇒ Object

  Shortcut for creating a YARD::CodeObjects::Proxy via a path.

## Instance Method Details

### #log ⇒ `YARD::Logger`

The global YARD::Logger instance

Returns:

- (`YARD::Logger`) —

  the global YARD::Logger instance

See Also:

- YARD::Logger

    20
    21
    22

    # File 'lib/yard/globals.rb', line 20

    def log
      YARD::Logger.instance
    end

### #P(namespace, name = nil, type = nil) ⇒ `Object`

Shortcut for creating a YARD::CodeObjects::Proxy via a path

See Also:

- YARD::CodeObjects::Proxy
- YARD::Registry.resolve

    8
    9
    10
    11
    12
    13
    14

    # File 'lib/yard/globals.rb', line 8

    def P(namespace, name = nil, type = nil) # rubocop:disable Naming/MethodName
      if name.nil?
        name = namespace
        namespace = nil
      end
      YARD::Registry.resolve(namespace, name, false, true, type)
    end